> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# 케이스 메모 조회 API

> Didit 케이스의 일반 텍스트 메모 목록을 최신순으로 조회합니다. 메모에 포함된 첨부 파일과 태그도 함께 조회됩니다.



케이스 노트 목록 API 프롬프트
        프롬프트를 클립보드에 복사



      
      

\<pre>

\`List a case's notes through the Management API.

Endpoint:
GET https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/notes/

Authentication:
Use the x-api-key header with my Didit API key.

Query params: limit (default 50), offset (default 0).

Example call:
curl -X GET "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/notes/" \
-H "x-api-key: YOUR_API_KEY"

Response 200: {"count": int, "next": url|null, "previous": url|null, "results": [CaseNote, ...]}
CaseNote: uuid, comment, actor_email, actor_name, mentioned_emails, is_internal, attachments [{s3_key, filename, file_size, url}], tags, created_at.

Failure modes:
\- 401/403 - auth/permission errors (requires read:cases).
\- 404 - case not found.

Side effects: none, pure read.

For the full integration shape, see /integration/integration-prompt.`

\</pre>



      
      

붙여넣을 곳

케이스의 노트를 최신순으로 나열합니다. 노트는 선택적 첨부 파일과 태그를 포함할 수 있는 일반 텍스트이며, 서식 있는 텍스트 형식은 지원하지 않습니다.## 관련 문서- [케이스 노트 생성](https://docs.didit.me/ko/management-api/cases/create-note.md)
- [케이스 조회](https://docs.didit.me/ko/management-api/cases/get.md)


## OpenAPI

````yaml ko/openapi-25.json GET /v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/notes/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: 신분증 인증 API입니다. x-api-key 헤더로 인증합니다.
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/notes/:
    get:
      tags:
        - Case Management
      operationId: list_case_notes
      parameters:
        - in: path
          name: organization_id
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: application_id
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: case_uuid
          schema:
            type: string
            format: uuid
          required: true
        - name: ordering
          required: false
          in: query
          description: 결과를 정렬할 때 사용할 필드입니다.
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: 페이지당 반환할 결과 수입니다.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: 결과 반환을 시작할 초기 인덱스입니다.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CaseCollaborationPaginatedCaseNoteList'
          description: ''
        '403':
          description: 호출자에게 필요한 케이스 권한이 없습니다.
        '404':
          description: 이 호출자는 해당 케이스 또는 메모를 사용할 수 없습니다.
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            # and DIDIT_APPLICATION_ID.
            client = Didit()

            for item in client.cases.notes.list(
                "11111111-2222-3333-4444-555555555555",
            ):
                print(item)
        - lang: javascript
          label: Node.js
          source: >-
            import Didit from "@didit-protocol/sdk-node";


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            const didit = new Didit();


            for await (const item of
            didit.cases.notes.list("11111111-2222-3333-4444-555555555555")) {
              console.log(item);
            }
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID\n// and DIDIT_APPLICATION_ID.\nclient := didit.NewClient()\n\niter := client.Cases.Notes.ListAutoPaging(ctx, \"11111111-2222-3333-4444-555555555555\", didit.CasesNotesListParams{})\nfor iter.Next() {\n\tfmt.Printf(\"%+v\\n\", iter.Current())\n}\nif err := iter.Err(); err != nil {\n\tlog.Fatal(err)\n}"
        - lang: java
          label: Java
          source: >-
            import me.didit.Didit;


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            Didit client = new Didit();


            for (var item :
            client.cases().notes().list("11111111-2222-3333-4444-555555555555"))
            {
                System.out.println(item);
            }
        - lang: php
          label: PHP
          source: >-
            <?php


            require 'vendor/autoload.php';


            use Didit\DiditClient;


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            $didit = new DiditClient();


            foreach
            ($didit->cases->notes->list('11111111-2222-3333-4444-555555555555')
            as $item) {
                print_r($item->toArray());
            }
        - lang: ruby
          label: Ruby
          source: >-
            require "didit"


            # Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            # and DIDIT_APPLICATION_ID.

            didit = Didit::Client.new


            didit.cases.notes.list("11111111-2222-3333-4444-555555555555").auto_paging_each
            do |item|
              puts item.to_h
            end
        - lang: csharp
          label: .NET
          source: >-
            using System;

            using System.Text.Json;

            using Didit;


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            using var client = new DiditClient();


            await foreach (var item in await
            client.Cases.Notes.ListAsync("11111111-2222-3333-4444-555555555555"))

            {
                Console.WriteLine(JsonSerializer.Serialize(item));
            }
components:
  schemas:
    CaseCollaborationPaginatedCaseNoteList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/CaseCollaborationCaseNote'
    CaseCollaborationCaseNote:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
          readOnly: true
        comment:
          type: string
        actor_email:
          type: string
          format: email
          nullable: true
          maxLength: 255
        actor_name:
          type: string
          nullable: true
          maxLength: 255
        mentioned_emails: {}
        is_internal:
          type: boolean
        attachments: {}
        tags: {}
        created_at:
          type: string
          format: date-time
          readOnly: true
        reply_to:
          allOf:
            - $ref: '#/components/schemas/CaseCollaborationCaseNoteReply'
          nullable: true
          readOnly: true
        is_pinned:
          type: boolean
        client_reference:
          type: string
          format: uuid
          nullable: true
      required:
        - comment
        - created_at
        - reply_to
        - uuid
    CaseCollaborationCaseNoteReply:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        actor_name:
          type: string
          nullable: true
        actor_email:
          type: string
          format: email
          nullable: true
        comment:
          type: string
          maxLength: 300
      required:
        - actor_email
        - actor_name
        - comment
        - uuid
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Business Console의 Developers -> API keys에서 발급받은 귀하 애플리케이션의 API 키입니다. 기본
        키는 전체 접근 권한을 갖습니다. 이름이 지정된 키는 리소스별 none, read, write 범위로 권한을 제한할 수 있으며
        특정 워크플로나 승인된 세션, IP 주소 목록, 만료일 등으로 제한할 수도 있습니다. 401은 키가 잘못되었거나 폐기되었거나
        만료되었음을 의미합니다. 403은 키가 전송되지 않았거나, 키에 해당 리소스나 작업에 대한 접근 권한이 없거나, 요청이 허용된
        IP 목록 외부 주소에서 발생했음을 의미합니다. 세션 경로에서의 404는 해당 세션이 키의 허용 워크플로 또는 상태 범위를
        벗어났음을 의미합니다. 미디어 접근 권한이 없는 키는 이미지, 비디오, PDF URL을 null로 수신하며, 세션 write
        권한이 없는 키는 세션 링크와 token을 null로 수신합니다.
        https://docs.didit.me/console/api-keys 를 참고하십시오.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.